Package org.drinkless.tdlib

# Class TdApi.StickerSetInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StickerSetInfo

Enclosing class:
  TdApi

public static class TdApi.StickerSetInfo extends TdApi.Object
Represents short information about a sticker set.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Sticker[]`
  `covers`
  Up to the first 5 stickers from the set, depending on the context.
  `long`
  `id`
  Identifier of the sticker set.
  `boolean`
  `isAllowedAsChatEmojiStatus`
  True, if stickers in the sticker set are custom emoji that can be used as chat emoji status; for custom emoji sticker sets only.
  `boolean`
  `isArchived`
  True, if the sticker set has been archived.
  `boolean`
  `isInstalled`
  True, if the sticker set has been installed by the current user.
  `boolean`
  `isOfficial`
  True, if the sticker set is official.
  `boolean`
  `isOwned`
  True, if the sticker set is owned by the current user.
  `boolean`
  `isViewed`
  True for already viewed trending sticker sets.
  `String`
  `name`
  Name of the sticker set.
  `boolean`
  `needsRepainting`
  True, if stickers in the sticker set are custom emoji that must be repainted; for custom emoji sticker sets only.
  `int`
  `size`
  Total number of stickers in the set.
  `TdApi.StickerType`
  `stickerType`
  Type of the stickers in the set.
  `TdApi.Thumbnail`
  `thumbnail`
  Sticker set thumbnail in WEBP, TGS, or WEBM format with width and height 100; may be null.
  `TdApi.ClosedVectorPath[]`
  `thumbnailOutline`
  Sticker set thumbnail's outline represented as a list of closed vector paths; may be empty.
  `String`
  `title`
  Title of the sticker set.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StickerSetInfo()`
  Represents short information about a sticker set.
  `StickerSetInfo(long id, String title, String name, TdApi.Thumbnail thumbnail, TdApi.ClosedVectorPath[] thumbnailOutline, boolean isOwned, boolean isInstalled, boolean isArchived, boolean isOfficial, TdApi.StickerType stickerType, boolean needsRepainting, boolean isAllowedAsChatEmojiStatus, boolean isViewed, int size, TdApi.Sticker[] covers)`
  Represents short information about a sticker set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Identifier of the sticker set.

  - ### title

    public String title
    Title of the sticker set.

  - ### name

    public String name
    Name of the sticker set.

  - ### thumbnail

    @Nullable public TdApi.Thumbnail thumbnail
    Sticker set thumbnail in WEBP, TGS, or WEBM format with width and height 100; may be null. The file can be downloaded only before the thumbnail is changed.

  - ### thumbnailOutline

    public TdApi.ClosedVectorPath[] thumbnailOutline
    Sticker set thumbnail's outline represented as a list of closed vector paths; may be empty. The coordinate system origin is in the upper-left corner.

  - ### isOwned

    public boolean isOwned
    True, if the sticker set is owned by the current user.

  - ### isInstalled

    public boolean isInstalled
    True, if the sticker set has been installed by the current user.

  - ### isArchived

    public boolean isArchived
    True, if the sticker set has been archived. A sticker set can't be installed and archived simultaneously.

  - ### isOfficial

    public boolean isOfficial
    True, if the sticker set is official.

  - ### stickerType

    public TdApi.StickerType stickerType
    Type of the stickers in the set.

  - ### needsRepainting

    public boolean needsRepainting
    True, if stickers in the sticker set are custom emoji that must be repainted; for custom emoji sticker sets only.

  - ### isAllowedAsChatEmojiStatus

    public boolean isAllowedAsChatEmojiStatus
    True, if stickers in the sticker set are custom emoji that can be used as chat emoji status; for custom emoji sticker sets only.

  - ### isViewed

    public boolean isViewed
    True for already viewed trending sticker sets.

  - ### size

    public int size
    Total number of stickers in the set.

  - ### covers

    public TdApi.Sticker[] covers
    Up to the first 5 stickers from the set, depending on the context. If the application needs more stickers the full sticker set needs to be requested.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StickerSetInfo

    public StickerSetInfo()
    Represents short information about a sticker set.

  - ### StickerSetInfo

    public StickerSetInfo(long id, String title, String name, TdApi.Thumbnail thumbnail, TdApi.ClosedVectorPath[] thumbnailOutline, boolean isOwned, boolean isInstalled, boolean isArchived, boolean isOfficial, TdApi.StickerType stickerType, boolean needsRepainting, boolean isAllowedAsChatEmojiStatus, boolean isViewed, int size, TdApi.Sticker[] covers)
    Represents short information about a sticker set.
    Parameters:
      `id` - Identifier of the sticker set.
      `title` - Title of the sticker set.
      `name` - Name of the sticker set.
      `thumbnail` - Sticker set thumbnail in WEBP, TGS, or WEBM format with width and height 100; may be null. The file can be downloaded only before the thumbnail is changed.
      `thumbnailOutline` - Sticker set thumbnail's outline represented as a list of closed vector paths; may be empty. The coordinate system origin is in the upper-left corner.
      `isOwned` - True, if the sticker set is owned by the current user.
      `isInstalled` - True, if the sticker set has been installed by the current user.
      `isArchived` - True, if the sticker set has been archived. A sticker set can't be installed and archived simultaneously.
      `isOfficial` - True, if the sticker set is official.
      `stickerType` - Type of the stickers in the set.
      `needsRepainting` - True, if stickers in the sticker set are custom emoji that must be repainted; for custom emoji sticker sets only.
      `isAllowedAsChatEmojiStatus` - True, if stickers in the sticker set are custom emoji that can be used as chat emoji status; for custom emoji sticker sets only.
      `isViewed` - True for already viewed trending sticker sets.
      `size` - Total number of stickers in the set.
      `covers` - Up to the first 5 stickers from the set, depending on the context. If the application needs more stickers the full sticker set needs to be requested.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR